<div class="control-block">
  <button mat-flat-button color="primary" (click)="setEntryData()">Calculate</button>
</div>

<div class="samples">
  <div class="samples__wrapper">
    <div class="samples__header">
      <span class="samples__title">Entry Data</span>
      <span *ngIf="dataSource" class="samples__remove-button" (click)="removeAllData()">Remove All</span>
    </div>
    <hr class="samples__separator" />
    <ag-grid-angular
      class="ag-theme-balham samples__table table"
      [gridOptions]="gridOptions"
      (gridReady)="onResultsGridReady($event)"
    >
    </ag-grid-angular>
  </div>
</div>
